/*
 * iser.h -- de- and encode issuer and serial from/to a bio
 *
 * (c) 2001 Dr. Andreas Mueller, Beratung und Entwicklung
 *
 * $Id: iser.h,v 1.1 2001/03/12 08:26:32 afm Exp $
 */
#ifndef _ISER_H
#define _ISER_H

#include <openssl/bio.h>
#include <openssl/pkcs7.h>

extern PKCS7_ISSUER_AND_SERIAL	*d2i_PKCS7_ISSUER_AND_SERIAL_bio(
	PKCS7_ISSUER_AND_SERIAL **is, BIO *b);

extern int	i2d_PKCS7_ISSUER_AND_SERIAL_bio(BIO *b,
	PKCS7_ISSUER_AND_SERIAL *is);

#endif /* _ISER_H */
